### Function

# Nautilus module_initialize

#### Declaration [src]

    void
    nautilus_module_initialize (
      GTypeModule* module
    )

#### Description [src]

Called when the extension is begin loaded to register the types it exports and to perform other initializations.

This function is not directly available to language bindings.

#### Parameters

`module`

  Type: `GTypeModule`

  A module used in type registration.

  The data is owned by the caller of the function.